
# `simple-setup.sh`
0. Setup actions
   - Load the utility script
   - Sets the default location that the sample repository is to be prepared in
   - Checks if a command-line parameter has been passed, and re-set to the location to that value if so.
   - Removes the target location if relevant.

1. Creates the location where the new repository will reside and `cd`s into it.

2. Initialised a git repository in that location with the command
```
git init <location>`
```
3. Sets the user's git user name with the command
```
git config --local user.name "Gaius Julius Caesar"
```
4. Sets the user's git user e-mail address with the command
```
git config --local user.email gjcaesar@pontifexmaximus.rm
```
5. Creates a text file called `information.md`

6. Adds and commits the new file will the commands
```
git add information.md
git commit -m "commit1"
```
7. Makes a change to the text file.

8. Adds and commits that change will the commands
```
git add information.md
git commit -m "commit2"
```
9. Makes another change to the text file.

10. Adds and commits that change will the commands
```
git add information.md
git commit -m "commit3"
```
11. Creates, from `master`, and then checks out a new branch using the command
```
git checkout -b Rel1
```
12. Makes a change to `information.md`

13. Adds and commits that change will the commands
```
git add information.md
git commit -m "commit4"
```
14. Makes another change to the text file.

15. Adds and commits that change will the commands
```
git add information.md
git commit -m "commit5"
```
16. Creates, from `master`, and then checks out another new branch using the commands
```
git checkout master
git checkout -b Rel2
```
17. Makes a change to `information.md`

18. Adds and commits that change will the commands
```
git add information.md
git commit -m "commit6"
```
19. Makes another change to the text file.

20. Adds and commits that change will the commands
```
git add information.md
git commit -m "commit5"
```
21. Checks out `master` with the command
```
git checkout master
```
22. Prints out the commit history log of the repositoty, showing the changes on all branches, with command
```
git log --oneline --graph --decorate --all
```
